Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`_cred`.`PLAINCredentials``

class documentation

`class PLAINCredentials(credentials.UsernamePassword): (source)`

Implements interfaces: `twisted.mail.interfaces.IChallengeResponse`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `getChallenge` | Return a client challenge.
Method | `moreChallenges` | Are there more challenges than just the first? If so, callers should challenge clients with the result of `getChallenge`, and check their response with `setResponse` in a loop until this returns `False`
Method | `setResponse` | Extract a username and possibly a password from a response and assign them to `username` and `password` instance variables.
Instance Variable | `password` | Undocumented
Instance Variable | `username` | Undocumented

Inherited from `UsernamePassword`:

Method | `checkPassword` | Validate these credentials against the correct password.

def __init__(self): (source)
overrides `twisted.cred.credentials.UsernamePassword.__init__`

Undocumented

def getChallenge(self): (source)
from `twisted.mail.interfaces.IChallengeResponse`

Return a client challenge.

Returns
`bytes` | A challenge.

def moreChallenges(self): (source)
from `twisted.mail.interfaces.IChallengeResponse`

Are there more challenges than just the first? If so, callers should challenge clients with the result of `getChallenge`, and check their response with `setResponse` in a loop until this returns `False`

Returns
`bool` | Are there more challenges?

def setResponse(self, response): (source)
from `twisted.mail.interfaces.IChallengeResponse`

Extract a username and possibly a password from a response and assign them to `username` and `password` instance variables.

Parameters
response:`bytes` | A decoded response.
See Also
`credentials.IUsernamePassword` or `credentials.IUsernameHashedPassword`

password = (source)
from `twisted.cred.credentials.IUsernamePassword`
overrides `twisted.cred.credentials.UsernamePassword.password`

Undocumented

username = (source)
from `twisted.cred.credentials.IUsernamePassword`
overrides `twisted.cred.credentials.UsernamePassword.username`

Undocumented